SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001560: autobackup script in /etc/cron.hourly not created after backup restore, unless changing form values - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001560Endian FirewallOther Servicespublic2009-02-11 17:212009-10-27 12:21
Reporterjohnny-endian 
Assigned Toluca-endian 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target Version2.3Fixed in Version2.3 
Summary0001560: autobackup script in /etc/cron.hourly not created after backup restore, unless changing form values
DescriptionThe automatic backup is not created, autobackup script in /etc/cron.hourly is missing after restoring a previous backup. The scheduled backup flags are on to "Enabled", "Current configuration" and "Keep # of archives" 10, hourly backup.
The script is created if you change the value 10 to another one and submit the form again.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001957)
peter-endian (administrator)
2009-02-12 10:11

restoring a backup does not trigger any restartscripts which set things such as cron script links.
This may affect also other services as well
(0003041)
luca-endian (developer)
2009-09-29 15:14

quickfix:

edit the file /etc/sudoers
and change the line
nobody ALL=NOPASSWD: /usr/local/bin/restartbackup
in
nobody ALL=NOPASSWD: /usr/local/bin/restartbackup.py

- Issue History
Date Modified Username Field Change
2009-02-11 17:21 johnny-endian New Issue
2009-02-12 10:11 peter-endian Note Added: 0001957
2009-02-12 10:11 peter-endian Status new => confirmed
2009-02-12 10:11 peter-endian Target Version => future
2009-02-19 17:05 peter-endian Status confirmed => resolved
2009-02-19 17:05 peter-endian Fixed in Version => 2.3
2009-02-19 17:05 peter-endian Resolution open => fixed
2009-02-19 17:05 peter-endian Assigned To => peter-endian
2009-09-29 15:14 luca-endian Assigned To peter-endian =>
2009-09-29 15:14 luca-endian Note Added: 0003041
2009-09-29 15:14 luca-endian Status resolved => feedback
2009-09-29 15:14 luca-endian Resolution fixed => reopened
2009-09-29 15:14 luca-endian Status feedback => resolved
2009-09-29 15:14 luca-endian Resolution reopened => fixed
2009-09-29 15:14 luca-endian Assigned To => luca-endian
2009-10-27 11:58 peter-endian Status resolved => closed
2009-10-27 12:21 peter-endian Target Version future => 2.3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker